Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive
[Groovy] Class GrailsInteractiveCompletor

    java.lang.Object
      grails.build.interactive.completors.StringsCompleter
          org.codehaus.groovy.grails.cli.interactive.GrailsInteractiveCompletor

    @groovy.transform.CompileStatic
    class GrailsInteractiveCompletor
    extends StringsCompleter

A JLine completer for Grails' interactive mode.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`java.util.Map` | `completorCache`
`BuildSettings` | `settings`

Constructor Summary
`GrailsInteractiveCompletor(BuildSettings settings, java.util.List scriptResources)`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
`static java.lang.String[]` | `getScriptNames(java.util.List scriptResources)`

Methods inherited from class StringsCompleter
complete, getStrings, setStrings

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### completorCache

    java.util.Map completorCache

### settings

    BuildSettings settings

Constructor Detail

### GrailsInteractiveCompletor

    GrailsInteractiveCompletor(BuildSettings settings, java.util.List scriptResources)

Method Detail

### complete

    @java.lang.Override
    int complete(java.lang.String buffer, int cursor, java.util.List clist)

### getScriptNames

    static java.lang.String[] getScriptNames(java.util.List scriptResources)

Groovy Documentation